# SystemOutWriter Class Reference

Inherits Writer.

List of all members.

## Detailed Description

Abstract class for writing to character streams.

## Public Member Functions

| SystemOutWriter ()
| ~SystemOutWriter ()
virtual void | close (Pool &p)
virtual void | flush (Pool &p)
virtual void | write (const LogString &str, Pool &p)

## Static Public Member Functions

static void | write (const LogString &str)
static void | flush ()

## Constructor & Destructor Documentation

SystemOutWriter | ( |  | ) |

~SystemOutWriter | ( |  | ) |

## Member Function Documentation

virtual void close | ( | Pool & | p | ) | `[virtual]`

| Implements Writer.

static void flush | ( |  | ) | `[static]`

virtual void flush | ( | Pool & | p | ) | `[virtual]`

| Implements Writer.

static void write | ( | const LogString & | str | ) | `[static]`

virtual void write | ( | const LogString & | str,
|  | Pool & | p
| ) | `[virtual]`

| Implements Writer.

The documentation for this class was generated from the following file:

- systemoutwriter.h